Mailinglist Archive: opensuse-updates (68 mails)

< Previous Next >
openSUSE-SU-2014:0516-1: moderate: nagios: fixed a buffer overflow
openSUSE Security Update: nagios: fixed a buffer overflow
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0516-1
Rating: moderate
References: #864843
Cross-References: CVE-2014-1878
Affected Products:
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


Nagios was updated to fix a stack-based buffer overflow in
the cmd_submitf function in the CGI handler. (CVE-2014-1878)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-291

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-291

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

nagios-3.5.1-3.9.1
nagios-debugsource-3.5.1-3.9.1
nagios-devel-3.5.1-3.9.1
nagios-www-3.5.1-3.9.1
nagios-www-dch-3.5.1-3.9.1
nagios-www-debuginfo-3.5.1-3.9.1

- openSUSE 12.3 (i586 x86_64):

nagios-3.5.0-2.18.1
nagios-debuginfo-3.5.0-2.18.1
nagios-debugsource-3.5.0-2.18.1
nagios-devel-3.5.0-2.18.1
nagios-www-3.5.0-2.18.1
nagios-www-dch-3.5.0-2.18.1
nagios-www-debuginfo-3.5.0-2.18.1


References:

http://support.novell.com/security/cve/CVE-2014-1878.html
https://bugzilla.novell.com/864843


< Previous Next >
This Thread
  • No further messages